function init() {
	var hash = {
		type: 'large'
	};
	location.hash.replace('#', '').split('&').forEach(function(h) {
		h = h.split('=');
		if (h[0]) {
			hash[h.shift()] = h.join('=') || true;
		}
	});

	if (~['ar', 'fa', 'he'].indexOf(hash.lang)) {
		document.body.classList.add('rtl');
	}

	document.body.classList.add(hash.type);
	[].forEach.call(document.querySelectorAll('[data-type]'), function(element) {
		if (!~element.getAttribute('data-type').indexOf(hash.type)) {
			element.parentNode.removeChild(element);
		} else {
			element.removeAttribute('data-type');
		}
	});

	loadJSON('./locale.json', function(locale) {
		replaceBody(locale[hash.lang] || locale['en']);
		replaceBody(hash);
	});
}

function replaceBody(replace) {
	var find = Object.keys(replace);
	if (find.length) {
		var regexp = new RegExp('\\{(' + find.join('|') + ')\\}', 'g');
		document.body.innerHTML = document.body.innerHTML.replace(regexp, function(match, key) {
			return replace[key] || key;
		});
	}
}

function loadJSON(path, callback) {
	var xObj = new XMLHttpRequest();
	xObj.overrideMimeType("application/json");
	xObj.open('GET', path, true);
	xObj.onreadystatechange = function() {
		if (xObj.readyState === 4 && xObj.status === 200) {
			var json = {};
			try {
				json = JSON.parse(xObj.responseText);
			} catch(e) {}
			callback(json);
		}
	};
	xObj.send(null);
}

init();